## GMimeStreamNull

GMimeStreamNull — A null stream

## Functions

GMimeStream * | g_mime_stream_null_new ()
gboolean | g_mime_stream_null_get_count_newlines ()
void | g_mime_stream_null_set_count_newlines ()

## Types and Values

struct | GMimeStreamNull

## Object Hierarchy

        GObject
        ╰── GMimeStream
            ╰── GMimeStreamNull

## Description

A GMimeStream which has no real backing storage at all. This stream is useful for dry-runs and can also be useful for determining statistics on source data which can be written to streams but cannot be read as a stream itself (e.g. a GMimeObject via `g_mime_object_write_to_stream()`).

## Functions

### g_mime_stream_null_new ()

    GMimeStream *
    g_mime_stream_null_new (void);

Creates a new GMimeStreamNull object.

#### Returns

a new null stream (similar to /dev/null on Unix).

### g_mime_stream_null_get_count_newlines ()

    gboolean
    g_mime_stream_null_get_count_newlines (GMimeStreamNull *stream);

Gets whether or not the stream should keep track of the number of newlines encountered.

#### Parameters

stream | a GMimeStreamNull |

#### Returns

`TRUE` if the stream should count the number of newlines or `FALSE` otherwise.

### g_mime_stream_null_set_count_newlines ()

    void
    g_mime_stream_null_set_count_newlines (GMimeStreamNull *stream,
                                           gboolean count);

Sets whether or not the stream should keep track of the number of newlines encountered.

#### Parameters

stream | a GMimeStreamNull |
count | `TRUE` if newlines should be counted or `FALSE` otherwise |

## Types and Values

### struct GMimeStreamNull

    struct GMimeStreamNull;

A GMimeStream which has no backing store.

#### Members

## See Also

GMimeStream